Package org.eclipse.graphiti.ui.internal.util.draw2d

## Class GFSurroundingHandle

- java.lang.Object
- - org.eclipse.draw2d.Figure
  - - org.eclipse.gef.handles.AbstractHandle
    - - org.eclipse.graphiti.ui.internal.util.draw2d.GFSurroundingHandle

All Implemented Interfaces:
  `org.eclipse.draw2d.AncestorListener`, `org.eclipse.draw2d.IFigure`, `org.eclipse.gef.Handle`

    public class GFSurroundingHandle
    extends org.eclipse.gef.handles.AbstractHandle

A rectangular handle, which completely surrounds the owner edit-part. It serves as selection highlighting and can also be used to move the owner edit-part.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator, org.eclipse.draw2d.Figure.IdentitySearch`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.AncestorListener

`org.eclipse.draw2d.AncestorListener.Stub`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

### Field Summary

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Constructor Summary

Constructors
`GFSurroundingHandle​(org.eclipse.gef.GraphicalEditPart owner, IConfigurationProviderInternal configurationProvider, boolean movable, IShapeSelectionInfo shapeSelectionInfo)` Creates a new GFSurroundingHandle.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `containsPoint​(int x, int y)` Returns `true` if the point (x,y) is contained within this handle.
`protected org.eclipse.gef.DragTracker` `createDragTracker()` Overridden to create a `DragEditPartsTracker`, if moving is supported.
`org.eclipse.draw2d.geometry.Point` `getAccessibleLocation()` Returns a point along the right edge of the handle.
`org.eclipse.swt.graphics.Color` `getFG_COLOR()`
`void` `paintFigure​(org.eclipse.draw2d.Graphics g)` Paints a rectangular handle surrounding the owner edit-part.

### Methods inherited from class org.eclipse.gef.handles.AbstractHandle

`addNotify, ancestorAdded, ancestorMoved, ancestorRemoved, getDragCursor, getDragTracker, getLocator, getOwner, getOwnerFigure, removeNotify, setDragCursor, setDragTracker, setLocator, setOwner, validate`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFSurroundingHandle

    public GFSurroundingHandle​(org.eclipse.gef.GraphicalEditPart owner,
                               IConfigurationProviderInternal configurationProvider,
                               boolean movable,
                               IShapeSelectionInfo shapeSelectionInfo)

Creates a new GFSurroundingHandle.

Parameters:
  `owner` - The owner editpart associated with this handle.
  `configurationProvider` - The configuration provider, which can be used to access the environment.
  `movable` - Indicates, if moving the owner edit-part via this handle is supported.
  `shapeSelectionInfo` -

### Method Detail

#### getFG_COLOR

    public org.eclipse.swt.graphics.Color getFG_COLOR()

Returns:
  the fG_COLOR_RESIZABLE

#### createDragTracker

    protected org.eclipse.gef.DragTracker createDragTracker()

Overridden to create a `DragEditPartsTracker`, if moving is supported.

Specified by:
  `createDragTracker` in class `org.eclipse.gef.handles.AbstractHandle`

#### containsPoint

    public boolean containsPoint​(int x,
                                 int y)

Returns `true` if the point (x,y) is contained within this handle. This means, that the point is on the outline of the handle, not inside the handle.

Specified by:
  `containsPoint` in interface `org.eclipse.draw2d.IFigure`
Overrides:
  `containsPoint` in class `org.eclipse.draw2d.Figure`
Returns:
  `true` if the point (x,y) is contained within this handle.

#### getAccessibleLocation

    public org.eclipse.draw2d.geometry.Point getAccessibleLocation()

Returns a point along the right edge of the handle.

Specified by:
  `getAccessibleLocation` in interface `org.eclipse.gef.Handle`
Overrides:
  `getAccessibleLocation` in class `org.eclipse.gef.handles.AbstractHandle`
See Also:
  `Handle.getAccessibleLocation()`

#### paintFigure

    public void paintFigure​(org.eclipse.draw2d.Graphics g)

Paints a rectangular handle surrounding the owner edit-part.

Overrides:
  `paintFigure` in class `org.eclipse.draw2d.Figure`